## org.eclipse.datatools.sqltools.sqlbuilder.views.select
Class GroupByContentViewer.GroupingSetGroupContentHolder

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.select.GroupByContentViewer.Holder
          org.eclipse.datatools.sqltools.sqlbuilder.views.select.GroupByContentViewer.GroupingSetGroupContentHolder

Enclosing class:
  GroupByContentViewer

    public class GroupByContentViewer.GroupingSetGroupContentHolder

extends GroupByContentViewer.Holder

GroupingSetGroupContentHolder

Constructor Summary
`GroupByContentViewer.GroupingSetGroupContentHolder(GroupingSetsElementSublist grpSet, java.lang.Object set)`

Method Summary
`void` `create(java.lang.String objectType)`
`void` `createSuperGroup(java.lang.String groupType)`
`void` `empty()`
`QueryValueExpression` `getExpression()`
`Grouping` `getGroupExpressionOrSuperGroup()`
`GroupingSetsElementSublist` `getGroupingSetGroup()`
`void` `setExpression(QueryValueExpression newExpression)`

Methods inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.select.GroupByContentViewer.Holder
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupByContentViewer.GroupingSetGroupContentHolder

    public GroupByContentViewer.GroupingSetGroupContentHolder(GroupingSetsElementSublist grpSet,
                                                              java.lang.Object set)

Method Detail

### getGroupingSetGroup

    public GroupingSetsElementSublist getGroupingSetGroup()

### getGroupExpressionOrSuperGroup

    public Grouping getGroupExpressionOrSuperGroup()

### getExpression

    public QueryValueExpression getExpression()

  Specified by:
    `getExpression` in class `GroupByContentViewer.Holder`

### setExpression

    public void setExpression(QueryValueExpression newExpression)

  Specified by:
    `setExpression` in class `GroupByContentViewer.Holder`

### createSuperGroup

    public void createSuperGroup(java.lang.String groupType)

### empty

    public void empty()

  Specified by:
    `empty` in class `GroupByContentViewer.Holder`

### create

    public void create(java.lang.String objectType)

  Specified by:
    `create` in class `GroupByContentViewer.Holder`